package ava.parser

class Tokenizer(private val reader: CharacterReader):
  import Tokenizer.*

  private var state: State = State.Initial

  def next(): Option[Token] = None

  def close(): Unit = reader.close()

object Tokenizer:

  sealed trait State

  object State:

    case object Initial          extends State
    case object PotentialComment extends State
    case object InComment        extends State
    case object InQuote          extends State
    case object InGeneric        extends State

  end State

end Tokenizer
